version: "3.9"
services:
    kuadrado_server:
        build:
            context: .
            dockerfile: ./Dockerfile
        container_name: "kuadrado_server"
        restart: unless-stopped
        ports:
            - 80:${SERVER_PORT}
            - 443:${SERVER_PORT_TLS}
        volumes:
            - ./public:${RESOURCES_DIR}/public:ro
            - /etc/letsencrypt/:${RESOURCES_DIR}/certs:ro
        env_file:
            - ./.env
